CVE-2018-15856

NameCVE-2018-15856
DescriptionAn infinite loop when reaching EOL unexpectedly in compose/parser.c (aka the keymap parser) in xkbcommon before 0.8.1 could be used by local attackers to cause a denial of service during parsing of crafted keymap files.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow
Debian Bugs907302

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libxkbcommon (PTS)stretch0.7.1-2~deb9u1vulnerable
buster0.8.2-1fixed
bullseye, sid0.10.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libxkbcommonsource(unstable)0.8.2-1low907302

Notes

[stretch] - libxkbcommon <ignored> (Minor issue)
[jessie] - libxkbcommon <no-dsa> (Minor issue)
https://github.com/xkbcommon/libxkbcommon/commit/842e4351c2c97de6051cab6ce36b4a81e709a0e1
https://lists.freedesktop.org/archives/wayland-devel/2018-August/039232.html

Search for package or bug name: Reporting problems